import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { SmzChartTypes } from '../../models/chart';
import { SmzChartInteractionEvent } from '../../models/chart-click-event';
import * as i0 from "@angular/core";
export declare class SmzChartComponent implements AfterViewInit, OnDestroy {
    el: ElementRef;
    type: SmzChartTypes;
    plugins: any[];
    width: string;
    height: string;
    responsive: boolean;
    styleClass: string;
    chartClick: EventEmitter<SmzChartInteractionEvent<any>>;
    chartHover: EventEmitter<SmzChartInteractionEvent<any>>;
    private _originalData;
    private _data;
    private _options;
    title: string;
    chart: any;
    uiConfig: import("ngx-smz-ui").NgxSmzUiConfig;
    constructor(el: ElementRef);
    get data(): any;
    set data(val: any);
    get options(): any;
    set options(val: any);
    ngAfterViewInit(): void;
    initChart(): void;
    getCanvas(): void;
    getBase64Image(): void;
    generateLegend(): void;
    refresh(): void;
    reinit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmzChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmzChartComponent, "smz-ui-chart", never, { "type": { "alias": "type"; "required": false; }; "plugins": { "alias": "plugins"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "responsive": { "alias": "responsive"; "required": false; }; "styleClass": { "alias": "styleClass"; "required": false; }; "data": { "alias": "data"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "chartClick": "chartClick"; "chartHover": "chartHover"; }, never, never, false, never>;
}
